@ECHO OFF
CLS
ECHO - GENERUJI HEX SOUBOR -------------------------------------
ECHO >NUL
bin2hex.exe config.bin config.hex

IF EXIST config.hex GOTO TESTISP
ECHO -----------------------------------------------------------
ECHO  ZAPIS DO EEPROM NEPROVEDEN!! Prevod BIN2HEX neproveden.
ECHO  Zmacknete jakoukoliv klavesu pro pokracovani....
ECHO -----------------------------------------------------------
GOTO STOP

:TESTISP
IF EXIST bin\batchIsp.exe GOTO ISP
ECHO -----------------------------------------------------------
ECHO  ZAPIS DO EEPROM NEPROVEDEN!! Nenalezen bin\batchIsp.exe
ECHO  Zmacknete jakoukoliv klavesu pro pokracovani....
ECHO -----------------------------------------------------------
GOTO STOP

:ISP
IF "%1" == "/2" GOTO 2
ECHO - STARTUJI ISP EEPROM (COM 1) -----------------------------
bin\batchisp.exe -device T89C51CC01 -operation memory EEPROM -hardware RS232 -port COM1 -baudrate 115200 -operation erase loadbuffer "config.hex" program verify
GOTO END
:2

ECHO - STARTUJI ISP EEPROM (COM 2) -----------------------------
bin\batchisp.exe -device T89C51CC01 -operation memory EEPROM -hardware RS232 -port COM2 -baudrate 115200 -operation erase loadbuffer "config.hex" program verify

:END
IF ERRORLEVEL == 0 GOTO SUCESS
ECHO -----------------------------------------------------------
ECHO  ZAPIS DO EEPROM NEPROVEDEN!! Nenulovy navratovy kod.
ECHO  Zmacknete jakoukoliv klavesu pro pokracovani....
ECHO -----------------------------------------------------------
GOTO STOP

:SUCESS
ECHO -----------------------------------------------------------
ECHO  ZAPIS DO EEPROM USPESNE PROVEDEN.
ECHO  Zmacknete jakoukoliv klavesu pro pokracovani....
ECHO -----------------------------------------------------------

:STOP
IF EXIST config.hex del config.hex >NUL
IF EXIST config.bin del config.bin >NUL
PAUSE >NUL